%%% Saving Anchovy Matrix

%% Save to Matrix

        ANC = [y... year
            m... month
            d... day
            f... functional response
            Akap... fraction allocated to growth
            T1D(d) ... water temperature
            TK(d)... water temperature in Kelvin
            AL(d)...
            ALv(d)...
            AW_dw(d)...
            AW_ww(d)...
            AE(d)... Reserve
            AV(d)... Structure
            AEH(d)... Maturity
            AER(d)... Reproductive buffer
            AO_Dev(d)... Oocyte development time
            ABatchN(d)... Batch number
            AE_Gam(d)... Energy allocated to Gametes
            AE_Batch(d) ... 
            AW_GON(d)...
            AEden(d)...
            AK_ful(d)...
            AGSI(d)...
            ApA(d)...
            ApC(d)...
            ApG(d)...
            ApMr(d)...
            ApJ(d)...
            ApR(d)...
            ApR2(d)...
            ApM2(d)...
            ApM3(d)...
            AE_G...
            Ap_Am(d)...
            Ap_M(d)...
            Ap_Xm(d)...
            AE_m...
            Av(d)...
            Ac_T(d)...
            ADR(d)...
            ASA(d)...
            AEnergy(d)...
            Starve(d)...
            Spawn];
            

          %hdrA = {'Year' 'Day' 'f' 'k' 'Temp' 'AE(d)' 'AV(d)' 'AEv(d)' 'AEH(d)' 'AO_Dev(d)' ...
          % 'AER(d)' 'AE_Gam(d)' 'AE_Batch(d)' 'Length' 'Dry_Weight' 'Wet_Weight' ... 
          % 'Gonad_Weight' 'AEd(d)' 'AK_ful(d)' 'GSI' 'Starve' 'Atresia'};


    %% Write Matrix to file

       %% First Part set up in experiments
       %hdrA = {'Year' 'Day' 'f' 'k' 'AE(d)' 'AV(d)' 'AEv(d)' 'AEH(d)' 'AO_Dev(d)' 'AER(d)' 'AE_Gam(d)' ...
       %        'AE_Batch(d)' 'Length' 'Dry_Weight' 'Wet_Weight' 'Gonad_Weight' 'AEd(d)' 'AK_ful(d)' 'GSI' 'Starve'};
       %fname = 'Anchovyf.csv';
       %txt=sprintf('%s,', hdrA{:});
       %txt(end)='';
       %dlmwrite(fname,txt,'');

       %% Write the data to file for each iteration
            dlmwrite(['D:\UCT\PhD\Model output\',fname], ANC, '-append');
            %Mat = {Head,ANC};
            %xlswrite(ename,ANC);

       %% Write Output to window     
            %type(fname);

