%% Varying the Temperaturee (T1D) for Anchovy

%Clear workspace
clc
clear all

globalvariables_Anchovy;
Varmat_Anchovy;
AO_Dev = 0;
% Fianl Oocyte development time
  %AO_DevTime = 4900*(SST^-2.29);
  %Make it between 12 and 14
AO_DevTime1 = 12;
AO_DevTime2 = 9;
ApM3(1) = 0; 
  
%Pre-assign matrix
Aam = 4;  %number of years the fish live %Froese et al. 2010
j = 1;  %number of times fish feed
M = 365; %number of days in a year
N = (M*Aam*j); %number of days * number of years * number of feedings
fn = 7; %number of values for f
Vn = 39; %number of variables in matrix
n = (N-1)*fn; %Max number of rows in matrix          
ANC = zeros (Vn,n);

%Figure_Hold
% Setting up the Matrix for saving
   Anchovy_label2;
   fname = 'Anchovyadultf_WGL_WGR_W.csv';
   txt=sprintf('%s,', hdrA{:});
   txt(end)='';
   dlmwrite(['D:\UCT\PhD\Model output\',fname],txt,'');
  
    mydata_Engraulis_encrasicolus
   
for f1 = [0.6 1.0];
    
    Parameters_Anchovy
    Startvalue_Anchovy
    
           
    for d = 2:1:N; %2191 if they eat once a day
     
        if AL(d-1) < ALj;
           T1D(d) = 22.5;
           f = 1.0;
        elseif AL(d-1) >= ALp;
           T1D(d) = 21.5;
           f = f1;
        else
           T1D(d) = 17.5;   
           f = 1.0;
        end
        
        TK(d) = T1D(d)+273;

        Aparameter_calc
        Starve(d) = Starve(d-1) + 0;
        Spawn = 0;
        if f1 == 0.6;
            Condit = 1;
        else
            Condit = 2;
        end
        Anchovy
        Anchovy_Save2
        fprintf('d = %f\nTemp = %f\nLength = %f\nWet Weight = %f\n\n',d,T1D(d),AL(d),AW_ww(d));
        
%         if AL(d) >= ALp;
%               disp('Recruited')
%               Stop the starve and reset for new spawn
%               d = 2;
%               Break out of inner loop and go to next spawn
%               break
%         end
    end
     
    %APrint
    
             
end
%hold off

% copy file to R plotting folder
%copyfile('AnchovyTemp.csv','d:/UCT/PhD 2010-2015/Model/Anchovy/R plotting/')