%% Varying the Temperaturee (T1D) for Anchovy

%Clear workspace
clc
clear all

globalvariables_Anchovy;
Varmat_Anchovy;
AO_Dev = 0;
% Fianl Oocyte development time
  %AO_DevTime = 4900*(SST^-2.29);
  %Make it between 12 and 14
AO_DevTime1 = 12;
AO_DevTime2 = 9;
ApM3(1) = 0; 
  
%Pre-assign matrix
Aam = 4;  %number of years the fish live %Froese et al. 2010
j = 1;  %number of times fish feed
M = 365; %number of days in a year
N = (M*Aam*j); %number of days * number of years * number of feedings
fn = 7; %number of values for f
Vn = 39; %number of variables in matrix
n = (N-1)*fn; %Max number of rows in matrix          
ANC = zeros (Vn,n);

%Figure_Hold
% Setting up the Matrix for saving
   Anchovy_label;
   fname = 'AnchovyadultfoodcoldTemp.csv';
   txt=sprintf('%s,', hdrA{:});
   txt(end)='';
   dlmwrite(['D:\UCT\PhD\Model output\',fname],txt,'');
  
    mydata_Engraulis_encrasicolus
   
for T = 17.5:0.5:19.5;
    
    Parameters_Anchovy
    Startvalue_Anchovy
        
    for d = 2:1:N; %2191 if they eat once a day
        
        if AL(d-1) < ALj;
           T1D(d) = 20.5;
           f = 1.0; 
        elseif AL(d-1) >= ALj && AL(d-1) < ALp
           T1D(d) = 15.5;
           f = 1.0;
        else
           T1D(d) = T;
           f = 1.0;
        end
        
        TK(d) = T1D(d)+273;
        Akap = 0.85;
        Aparameter_calc
        Starve(d) = Starve(d-1) + 0;
        Spawn = 0;
        Anchovy
        Anchovy_Save
        fprintf('d = %f\nTemp = %f\nLength = %f\nWet Weight = %f\n\n',d,T1D(d),AL(d),AW_ww(d));
        
        
    end
     
    %APrint
    
             
end
%hold off

% copy file to R plotting folder
%copyfile('AnchovyTemp.csv','d:/UCT/PhD 2010-2015/Model/Anchovy/R plotting/')